## numba 0.34.0

=== requirements.txt ===
numpy>=1.7
llvmlite>=0.19
argparse
funcsigs ; python_version < '3.4'
singledispatch ; python_version < '3.4'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -j4
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Numba.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Numba.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Numba"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Numba"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
numba (0.34.0-3) unstable; urgency=medium

  * deb/control:
    + bump standards version to 4.1.3 (no further changes needed).
    + update Vcs fields (moved to salsa).
    + add funcsigs and singledispatch to runtime deps of py2 binary.
    + add archs to Suggests of nvidia-cuda-toolkit.
  * deb/copyright:
    + expand copyright span.
    + replace full license text of CC0-1.0 with short text and pointer
      to /usr/share/common-licenses.
  * deb/gbp.conf:
    + drop import-orig section header.
    + change debian branch to debian/master.
    + add sign-tags set to True.

 -- Daniel Stender <stender@debian.org>  Tue, 20 Feb 2018 14:22:25 +0100

numba (0.34.0-2) unstable; urgency=medium

  * Upload to unstable.
  * deb/rules:
    + add switch to recognize nodoc from DEB_BUILD_OPTIONS.
    + run dh_numpy within dh_python overrides.
  * deb/control:
    + bump standards version to 4.0.0 (no further changes needed).
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * drop manpage of deprecated pycc (manpages not yet distributed).
  * set up alternatives for CLI script:
    + add postinst and prerm maintscripts for both binaries.
    + deb/rules: drop extra info on install-scripts about location.
  * set up full DEP-8 testing:
    + add testscripts deb/tests/python{2,3}-numba.
    + add testscripts and needed deps to deb/tests/control.
    + drop deb/tests/simpletest.py{2,3}.sh.
  * drop unused deb/python3-numba.lintian-overrides.

 -- Daniel Stender <stender@debian.org>  Sun, 23 Jul 2017 17:14:38 +0200

numba (0.34.0-1) experimental; urgency=medium

  * New upstream release:
    + bump llvmlite build-deps to 0.19.0 in deb/control.
  * deb/control: add version to llvmlite runtime deps (Closes: #864365).
  * deb/rules: add info on install-scripts export.

 -- Daniel Stender <stender@debian.org>  Sun, 16 Jul 2017 18:47:42 +0200

numba (0.33.0-1) experimental; urgency=medium

  * New upstream release.
  * deb/control: bump llvmlite deps.
  * deb/copyright: expand copyright spans.
  * deb/rules: failsafe still failing testsuite (Closes: #855577).

 -- Daniel Stender <stender@debian.org>  Sat, 27 May 2017 20:24:54 +0200

numba (0.30.0-3) experimental; urgency=medium

  [ lumin ]
  * Remove unwanted file "annotation_usecases.py" for the python2
    package (Closes: #851578).
  * Add basic autopkgtest support.

 -- Daniel Stender <stender@debian.org>  Fri, 17 Feb 2017 19:11:48 +0100

numba (0.30.0-2) experimental; urgency=medium

  * deb/control:
    + add version to llvmlite build-dep.
  * deb/rules:
    + run pytest in builddir and not from builddir.
    + remove failsafe for tests.
  * deb/clean:
    + add .cache/.

 -- Daniel Stender <stender@debian.org>  Thu, 29 Dec 2016 19:50:40 +0100

numba (0.30.0-1) experimental; urgency=medium

  * New upstream release.
  * deb/watch: corrected and improved.

 -- Daniel Stender <stender@debian.org>  Sat, 24 Dec 2016 23:29:39 +0100

numba (0.29.0-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz sphinx-rtd-theme.patch.
  * Build Python 2 package (changes in deb/control and rules):
    + add python-funcsigs and singledispatch to build-deps.
  * deb/control:
    + bump standards to 3.9.8 (no changes needed).
    + add missing llvmlite to binary package deps.
  * deb/clean:
    + add more cruft.
  * deb/rules:
    + add export for PYBUILD_INSTALL_ARGS (put scripts into /usr/share,
      drop deb/python3-numba.manpages temporarily).
    + add discarded http_proxy to sphinx-build.
    + add override for gencontrol, carrying dh{,3}-numpy calls.
  * add deb/gbp.conf.
  * let deb/clean handle egg-info/ (added), not deb/source/options
    (dropped).
  * build docs with Sphinx 2 in build folder (spare in-place extensions,
    deal with versioneer from __init__.py, work around problems with
    Sphinx 3):
    + build-depend on Sphinx 2 in deb/clean.
    + remove in-place creation of extensions in deb/rules.
    + run sphinx-build from build dir in rules (before that, copy docs into).
    + drop in-place extensions from deb/clean (not needed).
  * add no-git-in-generate_lower_listing.patch.

 -- Daniel Stender <stender@debian.org>  Fri, 23 Dec 2016 16:05:43 +0100

numba (0.23.1-1) experimental; urgency=medium

  * Initial release (Closes: #743877).

 -- Daniel Stender <stender@debian.org>  Fri, 04 Mar 2016 07:32:35 +0100

=== debian/control ===
Source: numba
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all-dev,
 python3-all-dev,
 python-funcsigs,
 python-singledispatch,
 python-llvmlite (>= 0.19.0~),
 python3-llvmlite (>= 0.19.0~),
 python-numpy,
 python3-numpy,
 python-sphinx,
 python-sphinx-rtd-theme,
 python-pytest,
 python3-pytest
Standards-Version: 4.1.3
Homepage: http://numba.pydata.org/
Vcs-Git: https://salsa.debian.org/science-team//numba.git
Vcs-Browser: https://salsa.debian.org/science-team/numba
X-Python3-Version: >= 3.4

Package: python-numba
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 python-llvmlite (>= 0.19.0~),
 python-funcsigs,
 python-singledispatch
Recommends:
 numba-doc
Suggests:
 nvidia-cuda-toolkit [amd64 ppc64el]
Description: native machine code compiler for Python 2
 Numba compiles native machine code instructions from Python programs at
 runtime using the LLVM compiler infrastructure. It could be easily employed
 by decorating individual computation intensive functions in the Python code.
 Numba could significantly speed up the performance of computations, and
 optionally supports compilation to run on GPU processors through Nvidia's
 CUDA platform.
 It integrates well with the Python scientific software stack, and
 especially recognizes Numpy arrays.
 .
 This package contains the modules for Python 2.

Package: python3-numba
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-llvmlite (>= 0.19.0~)
Recommends:
 numba-doc
Suggests:
 nvidia-cuda-toolkit [amd64 ppc64el]
Description: native machine code compiler for Python 3
 Numba compiles native machine code instructions from Python programs at
 runtime using the LLVM compiler infrastructure. It could be easily employed
 by decorating individual computation intensive functions in the Python code.
 Numba could significantly speed up the performance of computations, and
 optionally supports compilation to run on GPU processors through Nvidia's
 CUDA platform.
 It integrates well with the Python scientific software stack, and
 especially recognizes Numpy arrays.
 .
 This package contains the modules for Python 3.

Package: numba-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Recommends:
 python-numba,
 python3-numba
Description: native machine code compiler for Python (docs)
 Numba compiles native machine code instructions from Python programs at
 runtime using the LLVM compiler infrastructure. Just-in-time compilation with
 Numba could be easily employed by decorating individual computation intensive
 functions in the Python code.
 Numba could significantly speed up the performance of computations, and
 optionally supports compilation to run on GPU processors through Nvidia's
 CUDA platform.
 It integrates well with the Python scientific software stack, and
 especially recognizes Numpy arrays.
 .
 This package contains the documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=numba

export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package}

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# remove the unwanted file for python2 package
	find debian/python-numba -type f -name annotation_usecases.py -delete

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd {build_dir} && {interpreter} -Wd -m pytest numba/tests -v -rs" dh_auto_test || true

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_installdocs:
	dh_installdocs -A README.rst
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cp -a docs CHANGE_LOG examples .pybuild/pythonX.Y_2.7/build
	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml .pybuild/pythonX.Y_2.7/build/docs/source/ debian/numba-doc/usr/share/doc/numba-doc/html/
endif

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_compress:
	dh_compress -X.ipynb -X.ods -X.py # save examples and notebooks

## numba 0.37.0

=== requirements.txt ===
numpy>=1.10
llvmlite>=0.22
argparse
funcsigs ; python_version < '3.4'
singledispatch ; python_version < '3.4'

=== debian/changelog ===
numba (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches
    + debian/patches/sphinx-rtd-theme.patch
    + no-git-in-generate_lower_listing.patch
  * rules: Build doc with python3 version of sphinx.
    + Use python3 version of sphinx-rtd-theme
  * Update llvmlite version requirement.
  * Add B-D python3-setuptools

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 23 Mar 2018 01:44:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,24 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Stender <stender@debian.org>
+Uploaders: Daniel Stender <stender@debian.org>,
+           Mo Zhou <cdluminate@gmail.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all-dev,
  python3-all-dev,
  python-funcsigs,
  python-singledispatch,
- python-llvmlite (>= 0.19.0~),
- python3-llvmlite (>= 0.19.0~),
+ python-llvmlite (>= 0.22.0~),
+ python3-llvmlite (>= 0.22.0~),
  python-numpy,
  python3-numpy,
- python-sphinx,
- python-sphinx-rtd-theme,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
  python-pytest,
- python3-pytest
+ python3-pytest,
+ python3-setuptools,
 Standards-Version: 4.1.3
 Homepage: http://numba.pydata.org/
 Vcs-Git: https://salsa.debian.org/science-team//numba.git
@@ -31,7 +33,7 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
- python-llvmlite (>= 0.19.0~),
+ python-llvmlite (>= 0.22.0~),
  python-funcsigs,
  python-singledispatch
 Recommends:
@@ -57,7 +59,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-llvmlite (>= 0.19.0~)
+ python3-llvmlite (>= 0.22.0~)
 Recommends:
  numba-doc
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
-export PYBUILD_NAME=numba
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export PYBUILD_NAME            = numba
+export PYBUILD_INSTALL_ARGS    = --install-scripts=/usr/share/{package}
 
-export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package}
+SPHINX_BUILD = $(shell dpkg -L python3-sphinx | grep "sphinx-build$$")
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -22,8 +24,8 @@
 override_dh_installdocs:
 	dh_installdocs -A README.rst
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	cp -a docs CHANGE_LOG examples .pybuild/pythonX.Y_2.7/build
-	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml .pybuild/pythonX.Y_2.7/build/docs/source/ debian/numba-doc/usr/share/doc/numba-doc/html/
+	cp -a docs CHANGE_LOG examples .pybuild/cpython3_3.6_numba/build
+	http_proxy='127.0.0.1:9' $(SPHINX_BUILD) -N -bhtml .pybuild/cpython3_3.6_numba/build/docs/source/ debian/numba-doc/usr/share/doc/numba-doc/html/
 endif
 
 override_dh_python2:

## numba 0.39.0

=== requirements.txt ===
numpy>=1.10
llvmlite>=0.24
argparse
funcsigs ; python_version < '3.4'
singledispatch ; python_version < '3.4'

=== debian/changelog ===
numba (0.39.0-1) unstable; urgency=medium

  * New upstream version 0.39.0
  * Bump the minimum python-llvmlite B-D requirement to 0.24.0~ .
  * Deprecate X-Python*-Version field.
  * Bump Standards-Version to 4.2.0 (no change).
  * Make documentation build target independent to python3 version.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 09 Aug 2018 08:18:08 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python3-all-dev,
  python-funcsigs,
  python-singledispatch,
- python-llvmlite (>= 0.22.0~),
- python3-llvmlite (>= 0.22.0~),
+ python-llvmlite (>= 0.24.0~),
+ python3-llvmlite (>= 0.24.0~),
  python-numpy,
  python3-numpy,
  python3-sphinx,
@@ -20,11 +20,10 @@
  python-pytest,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://numba.pydata.org/
 Vcs-Git: https://salsa.debian.org/science-team//numba.git
 Vcs-Browser: https://salsa.debian.org/science-team/numba
-X-Python3-Version: >= 3.4
 
 Package: python-numba
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export PYBUILD_INSTALL_ARGS    = --install-scripts=/usr/share/{package}
 
 SPHINX_BUILD = $(shell dpkg -L python3-sphinx | grep "sphinx-build$$")
+Py3defver = $(shell py3versions -dv)
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -24,8 +25,8 @@
 override_dh_installdocs:
 	dh_installdocs -A README.rst
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	cp -a docs CHANGE_LOG examples .pybuild/cpython3_3.6_numba/build
-	http_proxy='127.0.0.1:9' $(SPHINX_BUILD) -N -bhtml .pybuild/cpython3_3.6_numba/build/docs/source/ debian/numba-doc/usr/share/doc/numba-doc/html/
+	cp -a docs CHANGE_LOG examples .pybuild/cpython3_$(Py3defver)_numba/build
+	http_proxy='127.0.0.1:9' $(SPHINX_BUILD) -N -bhtml .pybuild/cpython3_$(Py3defver)_numba/build/docs/source/ debian/numba-doc/usr/share/doc/numba-doc/html/
 endif
 
 override_dh_python2:

## numba 0.42.0

=== requirements.txt ===
numpy>=1.10
llvmlite>=0.27
argparse
funcsigs ; python_version < '3.4'
singledispatch ; python_version < '3.4'

=== debian/changelog ===
numba (0.42.0-1) unstable; urgency=medium

  * New upstream version 0.42.0
  * Build-Depends and Depends on llvmlite >= 0.27.0~
  * Delete unused postinst/postrm scripts for Python2 packages.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 07 Jan 2019 05:42:14 +0000

numba (0.40.1-1) unstable; urgency=medium

  [Daniel Stender]
  * Team upload.
  * deb/control:
    + drop myself from Uploaders.
    + bump standards to 4.2.1 (no changes needed).

  [ Mo Zhou ]
  * New upstream version 0.40.1
  * build-deps on libtbb-dev.
  * Completely drop Python2 support.

 -- Daniel Stender <stender@debian.org>  Thu, 20 Dec 2018 17:07:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,54 +2,22 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Stender <stender@debian.org>,
-           Mo Zhou <cdluminate@gmail.com>
+Uploaders: Mo Zhou <cdluminate@gmail.com>
 Build-Depends:
  debhelper (>= 11),
  dh-python,
- python-all-dev,
  python3-all-dev,
- python-funcsigs,
- python-singledispatch,
- python-llvmlite (>= 0.24.0~),
- python3-llvmlite (>= 0.24.0~),
- python-numpy,
+ python3-llvmlite (>= 0.27.0~),
  python3-numpy,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python-pytest,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.2.0
+ libtbb-dev,
+Standards-Version: 4.3.0
 Homepage: http://numba.pydata.org/
 Vcs-Git: https://salsa.debian.org/science-team//numba.git
 Vcs-Browser: https://salsa.debian.org/science-team/numba
-
-Package: python-numba
-Architecture: any
-Section: python
-Depends:
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
- python-llvmlite (>= 0.22.0~),
- python-funcsigs,
- python-singledispatch
-Recommends:
- numba-doc
-Suggests:
- nvidia-cuda-toolkit [amd64 ppc64el]
-Description: native machine code compiler for Python 2
- Numba compiles native machine code instructions from Python programs at
- runtime using the LLVM compiler infrastructure. It could be easily employed
- by decorating individual computation intensive functions in the Python code.
- Numba could significantly speed up the performance of computations, and
- optionally supports compilation to run on GPU processors through Nvidia's
- CUDA platform.
- It integrates well with the Python scientific software stack, and
- especially recognizes Numpy arrays.
- .
- This package contains the modules for Python 2.
 
 Package: python3-numba
 Architecture: any
@@ -58,7 +26,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-llvmlite (>= 0.22.0~)
+ python3-llvmlite (>= 0.27.0~)
 Recommends:
  numba-doc
 Suggests:

=== debian/tests/control ===
Tests: python-numba
Depends: python-numba, python-all-dev, python-funcsigs, python-singledispatch

Tests: python3-numba
Depends: python3-numba, python3-all-dev

## numba 0.48.0

=== requirements.txt ===
setuptools
numpy>=1.10
llvmlite>=0.31
argparse
funcsigs ; python_version < '3.4'
singledispatch ; python_version < '3.4'

=== debian/changelog ===
numba (0.48.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:27 +0100

numba (0.48.0-1) unstable; urgency=medium

  * New upstream version 0.48.0
  * gbp: don't require gpg signature
  * Patch the doc build to prevent it from calling git.
  * Build-Depends on python3-numpydoc.
  * Update my mail address in control and copyright.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Feb 2020 19:09:45 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
+Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends:
  debhelper (>= 11),
  dh-python,
@@ -13,6 +13,7 @@
  python3-sphinx-rtd-theme,
  python3-pytest,
  python3-setuptools,
+ python3-numpydoc,
  libtbb-dev,
 Standards-Version: 4.3.0
 Homepage: http://numba.pydata.org/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME            = numba
export PYBUILD_INSTALL_ARGS    = --install-scripts=/usr/share/{package}

SPHINX_BUILD = $(shell dpkg -L python3-sphinx | grep "sphinx-build$$")
Py3defver = $(shell py3versions -dv)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir} && {interpreter} -Wd -m pytest numba/tests -v -rs" dh_auto_test || true

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_installdocs:
	dh_installdocs -A README.rst
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cp -a docs CHANGE_LOG examples .pybuild/cpython3_$(Py3defver)_numba/build
	http_proxy='127.0.0.1:9' $(SPHINX_BUILD) -N -bhtml \
			   .pybuild/cpython3_$(Py3defver)_numba/build/docs/source/ \
			   debian/numba-doc/usr/share/doc/numba-doc/html/
endif

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_compress:
	dh_compress -X.ipynb -X.ods -X.py # save examples and notebooks

## numba 0.50.1

=== debian/changelog ===
numba (0.50.1-2) unstable; urgency=medium

  * Team upload.
  * upload new upstream release to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jun 2020 21:38:04 +0800

numba (0.50.1-1exp2) experimental; urgency=medium

  * Team upload.
  * python3-numba Recommends: python3-pip, also Depends in debian/tests
    (pip used to detect installed modules in numba/misc/numba_sysinfo.py)

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jun 2020 11:12:23 +0800

numba (0.50.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - works with numpy 1.18. Closes: #962176.
    - examples and tutorials no longer provided in numba-doc
    - Build-Depends: python3-llvmlite (>=0.33~)
  * use MPLBACKEND=Agg to stop display of images during tests
    (e.g. Mandelbrot image in doc_examples)
  * add debian patch skip_failing_tests.patch to skip failing test
    test_ediff1d_edge_cases in test_np_functions.py
    (see https://github.com/numba/numba/issues/5929)

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Jun 2020 16:29:37 +0800

numba (0.49.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - drop debian patch sphinx-rtd-theme.patch
      (sphinx-rtd-theme now used upstream)
    - no longer uses six. Closes: #869537.
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13
    Build-Depends: debhelper-compat (= 13)
  * update versioned dependencies: python3-colorama (>= 0.3.9~),
    python3-llvmlite (>=0.31~), python3-llvmlite (<< 0.33),
    python3-numpy (>= 1.10~). Closes: #926864.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 May 2020 02:23:57 +0800

numba (0.48.0-5) unstable; urgency=medium

  * Team upload.
  * debian patch llvm_long_name_PR4373.patch applies upstream PR4373
    to fix LLVM handling of long names.
  * Build-Depends: dh-sequence-sphinxdoc
    (provided by sphinx = python3-sphinx)

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 May 2020 00:59:14 +0800

numba (0.48.0-4) unstable; urgency=medium

  * Team upload.
  * Build-Depends: sphinx rather than python3-sphinx, name
    sphinx-build directly as sphinx binary. Closes: #961741.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 May 2020 01:12:29 +0800

numba (0.48.0-3) unstable; urgency=medium

  * Team upload.
  * run build-time tests for arch builds only
  * parallelize build-time tests with python3-pytest-xdist

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 May 2020 18:54:58 +0800

numba (0.48.0-2) unstable; urgency=medium

  * Team upload.
  * drop Recommends: python-numba from numba-doc, remove python-numba
    tests from debian/tests. Closes: #943135.
  * run debian/tests over all supported python versions

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 May 2020 12:01:21 +0800

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,21 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
- python3-llvmlite (>= 0.27.0~),
- python3-numpy,
- python3-sphinx,
+ python3-colorama (>= 0.3.9~),
+ python3-llvmlite (>=0.33~), python3-llvmlite (<< 0.34),
+ python3-numpy (>= 1.10~),
+ python3-pip,
+ sphinx, dh-sequence-sphinxdoc,
  python3-sphinx-rtd-theme,
  python3-pytest,
  python3-setuptools,
  python3-numpydoc,
+ python3-pytest-xdist,
  libtbb-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://numba.pydata.org/
 Vcs-Git: https://salsa.debian.org/science-team//numba.git
 Vcs-Browser: https://salsa.debian.org/science-team/numba
@@ -29,7 +32,8 @@
  ${shlibs:Depends},
  python3-llvmlite (>= 0.27.0~)
 Recommends:
- numba-doc
+ numba-doc,
+ python3-pip
 Suggests:
  nvidia-cuda-toolkit [amd64 ppc64el]
 Description: native machine code compiler for Python 3
@@ -50,9 +54,7 @@
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends:
- python-numba,
- python3-numba
+Recommends: python3-numba
 Description: native machine code compiler for Python (docs)
  Numba compiles native machine code instructions from Python programs at
  runtime using the LLVM compiler infrastructure. Just-in-time compilation with

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME            = numba
export PYBUILD_INSTALL_ARGS    = --install-scripts=/usr/share/{package}

SPHINX_BUILD = sphinx-build
Py3defver = $(shell py3versions -dv)

PYBUILD_DIR = $(shell pybuild --print {build_dir})

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test-indep:
	echo "Tests are performed for arch builds only".

override_dh_auto_test-arch:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir} && MPLBACKEND=Agg {interpreter} -Wd -m pytest numba/tests -n auto -v -rs" dh_auto_test || true

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_installdocs:
	dh_installdocs -A README.rst
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cp -a docs CHANGE_LOG $(PYBUILD_DIR)
	http_proxy='127.0.0.1:9' PYTHONPATH=$(PYBUILD_DIR):$${PYTHONPATH} $(SPHINX_BUILD) -N -bhtml \
			   $(PYBUILD_DIR)/docs/source/ \
			   debian/numba-doc/usr/share/doc/numba-doc/html/
endif

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_compress:
	dh_compress -X.ipynb -X.ods -X.py # save examples and notebooks

=== debian/tests/control ===
Tests: python3-numba
Depends: python3-numba,
 python3-all-dev,
 python3-pip

## numba 0.52.0

=== requirements.txt ===
setuptools
numpy>=1.10
llvmlite>=0.35.0,<0.36.0
argparse

=== debian/changelog ===
numba (0.52.0-4) unstable; urgency=medium

  * Skip test_user_set_cpu_name on armhf as it seems to depend on number
    of tests run.

 -- Diane Trout <diane@ghic.org>  Sun, 31 Jan 2021 10:51:54 -0800

numba (0.52.0-3) unstable; urgency=medium

  * Add skip-unicode-buserror-armhf.patch
    Avoid triggering Bus Errors when armhf binaries are run on CPUs
    that don't support unaligned memory access

 -- Diane Trout <diane@ghic.org>  Sat, 30 Jan 2021 09:36:48 -0800

numba (0.52.0-2) unstable; urgency=medium

  * Fix typo in Vcs-Git url
  * Add skip-armhf-tests-on-arm64.patch to deal with autopkgtest failures
  * Remove armhf conditional from debian/tests/python3-numba as numba does
    not using an environment variable to skip tests

 -- Diane Trout <diane@ghic.org>  Thu, 21 Jan 2021 15:31:48 -0800

numba (0.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Backport Python 3.9 compatibility patch from
    https://github.com/numba/numba/pull/6579 (Closes: #972246)
    - Switch to running default python3 instead of hard-coding
      python3.8 in rules and autopkg-tests
  * Update python3-llvmlite dependency to >= 0.35~
  * remove skip_failing_tests.patch, they seem to work now.
  * Refresh patches
  * Adopt numba (Closes: #935626)
    - Remove Mo Zhou from uploaders, add myself

 -- Diane Trout <diane@ghic.org>  Mon, 11 Jan 2021 21:57:52 -0800

numba (0.51.2-6) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: gcc | c-compiler
    Needed for dpkg-architecture to work without error.

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Nov 2020 08:37:39 +0800

numba (0.51.2-5) unstable; urgency=medium

  * Team upload.
  * debian/tests: skip test_immutability_in_array_dispatch on armhf
  * python3-numba Depends: python3-scipy (>= 1.0)

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Nov 2020 16:55:34 +0800

numba (0.51.2-4) unstable; urgency=medium

  * Team upload.
  * debian patch 32bit_skip_64bit_hashing_tests.patch skips via
    unittest module not pytest

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Nov 2020 11:46:37 +0800

numba (0.51.2-3) unstable; urgency=medium

  * Team upload.
  * debian patch 32bit_skip_64bit_hashing_tests.patch skips
    test_heterogeneous_tuples and test_homogeneous_tuples from
    test_hashing.TestTupleHashing on 32-bit systems (armhf, i386)
    since these tests require 64-bit integers.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Nov 2020 19:25:10 +0800

numba (0.51.2-2) unstable; urgency=medium

  * Team upload.
  * remove Py3defver from debian/rules (the variable is not used)
  * build against python3.8 only. Numba is not yet ready for python3.9.
    See Bug#972246.

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Nov 2020 16:48:47 +0800

numba (0.51.2-1) unstable; urgency=medium

  * New upstream version 0.51.2
  * Bump llvmlite dependency to (>= 0.34~, << 0.35) (Closes: #970694,#971148)

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Oct 2020 12:39:34 +0800

=== debian/control ===
--- 
+++ 
@@ -2,35 +2,37 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <lumin@debian.org>
+Uploaders: Diane Trout <diane@ghic.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-colorama (>= 0.3.9~),
- python3-llvmlite (>=0.33~), python3-llvmlite (<< 0.34),
+ python3-llvmlite (>= 0.35~),
  python3-numpy (>= 1.10~),
  python3-pip,
  sphinx, dh-sequence-sphinxdoc,
+ python3-scipy (>= 1.0),
  python3-sphinx-rtd-theme,
  python3-pytest,
  python3-setuptools,
  python3-numpydoc,
  python3-pytest-xdist,
  libtbb-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://numba.pydata.org/
-Vcs-Git: https://salsa.debian.org/science-team//numba.git
+Vcs-Git: https://salsa.debian.org/science-team/numba.git
 Vcs-Browser: https://salsa.debian.org/science-team/numba
 
 Package: python3-numba
 Architecture: any
 Section: python
 Depends:
+ python3-llvmlite (>= 0.27.0~),
+ python3-scipy (>= 1.0),
  ${misc:Depends},
  ${python3:Depends},
- ${shlibs:Depends},
- python3-llvmlite (>= 0.27.0~)
+ ${shlibs:Depends}
 Recommends:
  numba-doc,
  python3-pip

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 export PYBUILD_NAME            = numba
 export PYBUILD_INSTALL_ARGS    = --install-scripts=/usr/share/{package}
 
-SPHINX_BUILD = sphinx-build
-Py3defver = $(shell py3versions -dv)
+SPHINX_BUILD = $(shell py3versions -d) /usr/bin/sphinx-build
+PYBUILD_DEFAULT_VERSION = $(shell py3versions -v -d)
 
-PYBUILD_DIR = $(shell pybuild --print {build_dir})
+PYBUILD_DIR = $(shell pybuild --print {build_dir} | grep $(PYBUILD_DEFAULT_VERSION) )
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-numba
Depends: python3-numba,
 python3-all-dev,
 python3-pip,
 gcc | c-compiler

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/numba-$1.tar.gz/" \
https://github.com/numba/numba/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## numba 0.55.1

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    = -j4
+SPHINXOPTS    = -j1
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
numba (0.55.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:50:38 +0000

numba (0.55.1-0ubuntu1) jammy; urgency=medium

  * New upstream version
  * Refreshed patchset
  * Add self to d/copyright
  * Bump copyright dates

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 28 Feb 2022 16:50:33 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: numba
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Build-Depends:
  debhelper-compat (= 13),

## numba 0.55.2%2Bdfsg

=== debian/changelog ===
numba (0.55.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Adjust Files-Excluded. Upstream switched to github actions.
  * Adjust package version to indicate that the source is repackaged.
  * Add myself to debian/copyright.

 -- Diane Trout <diane@ghic.org>  Wed, 29 Jun 2022 19:47:30 -0700

numba (0.55.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

  [ Diane Trout ]
  * Refresh patches for 0.55.0
  * Update libtbb-dev Build-Depends to be >= 2021.4.0
  * Mark build-depends python3-numpy (<< 1:1.22). numba 0.55.1 is not
    compatible with numpy 1.22

 -- Diane Trout <diane@ghic.org>  Mon, 17 Jan 2022 18:27:05 -0800

numba (0.52.0-5) unstable; urgency=medium

  * Add support-sphinx-v4.0.1.patch (Closes: #997085)
    Thanks to Boyuan Yang for the pointer to the patch

 -- Diane Trout <diane@ghic.org>  Wed, 27 Oct 2021 20:58:56 -0700

## numba 0.55.2+dfsg

=== debian/control ===
Source: numba
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-colorama (>= 0.3.9~),
               python3-llvmlite (>= 0.35~),
               python3-numpy (<< 1:1.22),
               python3-pip,
               sphinx,
               dh-sequence-sphinxdoc,
               python3-scipy,
               python3-sphinx-rtd-theme,
               python3-pytest,
               python3-setuptools,
               python3-numpydoc,
               python3-pytest-xdist,
               libtbb-dev (>= 2021.4.0)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/numba
Vcs-Git: https://salsa.debian.org/science-team/numba.git
Homepage: https://numba.pydata.org/
Rules-Requires-Root: no

Package: python3-numba
Architecture: any
Section: python
Depends: python3-llvmlite,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: numba-doc,
            python3-pip
Suggests: nvidia-cuda-toolkit [amd64 ppc64el]
Description: native machine code compiler for Python 3
 Numba compiles native machine code instructions from Python programs at
 runtime using the LLVM compiler infrastructure. It could be easily employed
 by decorating individual computation intensive functions in the Python code.
 Numba could significantly speed up the performance of computations, and
 optionally supports compilation to run on GPU processors through Nvidia's
 CUDA platform.
 It integrates well with the Python scientific software stack, and
 especially recognizes Numpy arrays.
 .
 This package contains the modules for Python 3.

Package: numba-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-numba
Description: native machine code compiler for Python (docs)
 Numba compiles native machine code instructions from Python programs at
 runtime using the LLVM compiler infrastructure. Just-in-time compilation with
 Numba could be easily employed by decorating individual computation intensive
 functions in the Python code.
 Numba could significantly speed up the performance of computations, and
 optionally supports compilation to run on GPU processors through Nvidia's
 CUDA platform.
 It integrates well with the Python scientific software stack, and
 especially recognizes Numpy arrays.
 .
 This package contains the documentation and examples.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/numba-$1.tar.gz/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//,repack" \
https://github.com/numba/numba/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
